# Enable tests by default.
%bcond_without tests

# The Python module is within a subdirectory in the repository.
%global         module_dir  runtime/Python3

%global         srcname     antlr4-python3-runtime
%global         forgeurl    https://github.com/antlr/antlr4
# This version is a little older because it's the highest version that will allow
# azure-cli 2.36.0 to run. I am working with upstream to get this updated:
# https://github.com/Azure/azure-cli/pull/22469
Version:        4.7.2
%global         tag         %{version}
%forgemeta

Name:           python-%{srcname}
Release:        1%{?dist}
Summary:        ANTLR 4 runtime for Python
License:        BSD
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel


%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif


%global _description %{expand:
ANTLR 4 runtime for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup


%generate_buildrequires
cd %{module_dir}
%pyproject_buildrequires


%build
cd %{module_dir}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files antlr4


%if %{with tests}
%check
cd %{module_dir}/test
PYTHONPATH=%{buildroot}%{python3_sitelib} %python3 ctest.py
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Tue May 10 2022 Major Hayden <major@mhtx.net> - 4.7.2-1
- First package.
